> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stackone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Assignments

> Retrieve a list of assignment type learning records for a user. 

These are the records linking a user to learning objects. 

They can be pending, in progress, or completed.



## OpenAPI

````yaml get /unified/lms/users/{id}/assignments
openapi: 3.1.0
info:
  title: LMS
  description: The documentation for the StackOne Unified API - LMS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.stackone.com
security: []
tags:
  - name: Courses
    description: Collections of learning content.
  - name: Content
    description: Granular learning content items.
  - name: External Linking Learning Objects
    description: External linking learning objects.
  - name: Categories
    description: Categories for organizing learning content.
  - name: Users
    description: People enrolled in or using the LMS.
  - name: Skills
    description: Skills or competencies taught or tracked.
  - name: Assignments
    description: Tasks or assignments for learners.
  - name: Completions
    description: Records of completed assignments or courses.
  - name: Collections
    description: Groups of courses or learning resources.
paths:
  /unified/lms/users/{id}/assignments:
    get:
      tags:
        - Users
        - Assignments
      summary: List User Assignments
      description: |-
        Retrieve a list of assignment type learning records for a user. 

        These are the records linking a user to learning objects. 

        They can be pending, in progress, or completed.
      operationId: lms_list_user_assignments
      parameters:
        - name: x-account-id
          in: header
          description: The account identifier
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: raw
          required: false
          in: query
          description: >-
            Indicates that the raw request result should be returned in addition
            to the mapped result (default value is false)
          schema:
            nullable: true
            type: boolean
        - name: proxy
          required: false
          in: query
          description: >-
            Query parameters that can be used to pass through parameters to the
            underlying provider request by surrounding them with 'proxy' key
          schema:
            additionalProperties: true
            nullable: true
            type: object
        - name: fields
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be returned in the
            response (if empty, all fields are returned)
          schema:
            nullable: true
            example: >-
              id,remote_id,external_reference,user_id,remote_user_id,course_id,remote_course_id,updated_at,created_at,assigned_at,due_date,status,progress,learning_object_type,learning_object_id,remote_learning_object_id,learning_object_external_reference,certificate_url,result,completed_at,unified_custom_fields
            type: string
        - name: filter
          required: false
          in: query
          description: LMS Assignment Filter
          schema:
            properties:
              updated_after:
                description: >-
                  Use a string with a date to only select results updated after
                  that given date
                example: '2020-01-01T00:00:00.000Z'
                type: string
                format: date-time
                nullable: true
                additionalProperties: false
              status:
                description: Filter to select assignment by status
                type: string
                enum:
                  - pending
                  - in_progress
                  - completed
                  - unmapped_value
                  - null
                nullable: true
            nullable: true
            type: object
        - name: page
          required: false
          in: query
          description: The page number of the results to fetch
          deprecated: true
          schema:
            type: string
            nullable: true
        - name: page_size
          required: false
          in: query
          description: The number of results per page (default value is 25)
          schema:
            type: string
            nullable: true
        - name: next
          required: false
          in: query
          description: The unified cursor
          schema:
            type: string
            nullable: true
        - name: updated_after
          required: false
          in: query
          description: >-
            Use a string with a date to only select results updated after that
            given date
          deprecated: true
          schema:
            format: date-time
            nullable: true
            example: '2020-01-01T00:00:00.000Z'
            type: string
        - name: user_id
          required: false
          in: query
          description: The user ID associated with this assignment
          schema:
            nullable: true
            example: c28xyrc55866bvuv
            type: string
        - name: remote_user_id
          required: false
          in: query
          description: Provider's unique identifier of the user related to the assignment
          schema:
            nullable: true
            example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
            type: string
        - name: Prefer
          in: header
          required: false
          description: >-
            Set to "heartbeat" to enable keep-alive newline heartbeats during
            long-running requests. Response includes Preference-Applied:
            heartbeat header when honored. (RFC 7240)
          schema:
            type: string
            example: heartbeat
      responses:
        '200':
          description: >-
            The assignments related to the employee with the given identifier
            were retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssignmentsPaginated'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '408':
          description: The request has timed out.
          headers:
            Retry-After:
              description: A time in seconds after which the request can be retried.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestTimedOutResponse'
        '409':
          description: Conflict with current state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictResponse'
        '412':
          description: >-
            Precondition failed: linked account belongs to a disabled
            integration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreconditionFailedResponse'
        '422':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntityResponse'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Server error while executing the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
        '501':
          description: This functionality is not implemented.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotImplementedResponse'
        '502':
          description: Bad gateway error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadGatewayResponse'
      security:
        - basic: []
components:
  schemas:
    AssignmentsPaginated:
      type: object
      properties:
        next:
          type: string
          nullable: true
        data:
          type: array
          items:
            $ref: '#/components/schemas/Assignment'
        raw:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
      required:
        - data
    BadRequestResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad Request
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
        data:
          description: Error details
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnifiedError'
        provider_errors:
          description: List of provider-specific errors
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ProviderError'
      required:
        - statusCode
        - message
        - timestamp
    UnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden resource
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotFoundResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    RequestTimedOutResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 408
        message:
          type: string
          description: Error message
          example: Request timed out
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ConflictResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 409
        message:
          type: string
          description: Error message
          example: Conflict
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    PreconditionFailedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 412
        message:
          type: string
          description: Error message
          example: Precondition failed
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    UnprocessableEntityResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 422
        message:
          type: string
          description: Error message
          example: Unprocessable Entity
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    TooManyRequestsResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 429
        message:
          type: string
          description: Error message
          example: Too many requests
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal server error
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotImplementedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 501
        message:
          type: string
          description: Error message
          example: Not Implemented
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    BadGatewayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 502
        message:
          type: string
          description: Error message
          example: Bad Gateway
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    Assignment:
      type: object
      properties:
        id:
          type: string
          description: The ID associated with this assignment
          example: '123456'
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        unified_custom_fields:
          type: object
          description: Custom Unified Fields configured in your StackOne project
          additionalProperties: true
          example:
            my_project_custom_field_1: REF-1236
            my_project_custom_field_2: some other value
          nullable: true
        external_reference:
          type: string
          description: The external reference associated with this assignment
          example: e3gd34-23tr21-er234-345er56
          deprecated: true
          nullable: true
        learning_object_id:
          type: string
          description: >-
            The learning_object_id associated with this assignment. This is not
            required unless specified in an integration.
          example: e3gd34-23tr21-er234-345er56
          nullable: true
        remote_learning_object_id:
          type: string
          description: >-
            Provider's unique identifier of the learning object related to the
            assignment
          example: e3cb55bf-aa84-466e-a6c1-b8302b257a49
          nullable: true
        learning_object_external_reference:
          type: string
          description: >-
            The external reference of the learning object associated with this
            assignment, this is the main identifier for creating assignments.
          example: learning-content-123
          nullable: true
        progress:
          type: number
          description: The progress associated with this assigment
          example: '40'
          nullable: true
        updated_at:
          type: string
          description: The date the assignment was last updated
          example: '2021-07-21T14:00:00.000Z'
          format: date-time
          nullable: true
        created_at:
          type: string
          description: The date the assignment was created
          example: '2021-07-21T14:00:00.000Z'
          format: date-time
          nullable: true
        assigned_at:
          type: string
          description: The date the assignment was assigned
          example: '2021-07-21T14:00:00.000Z'
          format: date-time
          nullable: true
        due_date:
          type: string
          description: The date the assignment is due to be completed
          example: '2021-07-21T14:00:00.000Z'
          format: date-time
          nullable: true
        status:
          description: The status of the assignment
          nullable: true
          allOf:
            - $ref: '#/components/schemas/AssignmentStatusEnum'
        learning_object_type:
          description: The learning object type of the assignment
          nullable: true
          allOf:
            - $ref: '#/components/schemas/LearningObjectTypeEnum'
        user_id:
          type: string
          description: The user ID associated with this assignment
          example: c28xyrc55866bvuv
          nullable: true
        remote_user_id:
          type: string
          description: Provider's unique identifier of the user related to the assignment
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
        certificate_url:
          type: string
          description: The certification URL associated with this assignment
          example: https://example.com/certificate/12345
          nullable: true
        result:
          description: The result of the assignment
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ResultStatusEnum'
        completed_at:
          type: string
          description: The date the content was completed
          example: '2021-07-21T14:00:00.000Z'
          format: date-time
          nullable: true
        course_id:
          type: string
          description: The course ID associated with this assignment
          example: 16873-ENG-1
          deprecated: true
          nullable: true
        remote_course_id:
          type: string
          description: Provider's unique identifier of the course related to the assignment
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          deprecated: true
          nullable: true
    RawResponse:
      type: object
      properties:
        method:
          type: string
        url:
          type: string
        body:
          oneOf:
            - type: string
            - type: object
            - type: array
              items:
                type: integer
                format: int32
                minimum: 0
                maximum: 255
          additionalProperties: true
          nullable: true
        response:
          oneOf:
            - type: object
              additionalProperties: true
            - type: array
              items: {}
            - type: string
          nullable: true
      required:
        - method
        - url
    UnifiedError:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
          nullable: true
        message:
          type: string
          description: Error message
          example: Bad Request
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    ProviderError:
      type: object
      properties:
        status:
          type: number
          description: HTTP status code of the provider error
          example: 400
          nullable: true
        url:
          type: string
          description: URL that caused the error
          example: https://api.provider.com/v1/resource
          nullable: true
        raw:
          type: object
          description: Raw error response from the provider
          example:
            message: Invalid input parameters
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    AssignmentStatusEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - pending
            - in_progress
            - completed
            - unmapped_value
            - null
          example: in_progress
          description: The StackOne unified assignment status.
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          description: The original status value from the provider before normalization.
          nullable: true
    LearningObjectTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - content
            - course
            - collection
            - unmapped_value
            - null
          description: The StackOne unified learning object type.
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          description: >-
            The original learning object type from the provider before
            normalization.
          nullable: true
    ResultStatusEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - Pass
            - Fail
            - unmapped_value
            - null
          description: The StackOne unified result status.
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          description: The original result status from the provider before normalization.
          nullable: true
  securitySchemes:
    basic:
      type: http
      scheme: basic

````